package com.gyee.frame.mapper.auto;

import com.gyee.frame.model.auto.Line;
import com.gyee.frame.model.auto.LineExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 线路 LineMapper
 * @author gyee_自动生成
 * @email 1@qq.com
 * @date 2019-12-31 14:58:09
 */
public interface LineMapper {
      	   	      	      	      	      	      	      	      	      	      
    long countByExample(LineExample example);

    int deleteByExample(LineExample example);
		
    int deleteByPrimaryKey(String id);
		
    int insert(Line record);

    int insertSelective(Line record);

    List<Line> selectByExample(LineExample example);
		
    Line selectByPrimaryKey(String id);
		
    int updateByExampleSelective(@Param("record") Line record, @Param("example") LineExample example);

    int updateByExample(@Param("record") Line record, @Param("example") LineExample example);
		
    int updateByPrimaryKeySelective(Line record);

    int updateByPrimaryKey(Line record);
  	  	
}